SFML 2.5.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
sf::AlResource Class Reference
Audio module

Base class for classes that require an OpenAL context. More...

`#include <AlResource.hpp>`

Inheritance diagram for sf::AlResource:

## Protected Member Functions

| AlResource ()
| Default constructor. More...
| ~AlResource ()
| Destructor. More...

## Detailed Description

Base class for classes that require an OpenAL context.

This class is for internal use only, it must be the base of every class that requires a valid OpenAL context in order to work.

Definition at line 40 of file AlResource.hpp.

## Constructor & Destructor Documentation

## ◆ AlResource()

sf::AlResource::AlResource | ( |  | ) |

protected

Default constructor.

## ◆ ~AlResource()

sf::AlResource::~AlResource | ( |  | ) |

protected

Destructor.

The documentation for this class was generated from the following file:

- AlResource.hpp